"use strict";
const common_libraries_request = require("../common/libraries/request.js");
require("../common/store/useWeAppAuthStore.js");
const Apis = {
  Login: {
    Auth: {
      Login(data) {
        return common_libraries_request.request("employee/login/auth/login", { data });
      },
      Logout() {
        return common_libraries_request.request("employee/login/auth/logout", {});
      },
      Me() {
        return common_libraries_request.request("employee/login/auth/me", {});
      },
      BindPhoneNumber(data) {
        return common_libraries_request.request("employee/login/auth/bind_phone_number", { data });
      },
      GetAccessToken(data) {
        return common_libraries_request.request("employee/login/auth/get_access_token", { data });
      },
      WorkLogin(data) {
        return common_libraries_request.request("employee/login/auth/work_login", { data });
      },
      BindWork(data) {
        return common_libraries_request.request("employee/login/auth/bind_work", { data });
      },
      GetWorkAccessToken(data) {
        return common_libraries_request.request("employee/login/auth/get_work_access_token", { data });
      },
      PreUpload(data) {
        return common_libraries_request.request("employee/login/auth/pre_upload", { data });
      },
      DoUpload(data) {
        return common_libraries_request.request("employee/login/auth/do_upload", { data });
      },
      ImLogin() {
        return common_libraries_request.request("employee/login/auth/im_login", {});
      }
    }
  }
};
exports.Apis = Apis;
